# Packages
library(shinydashboard)

shinyUI(dashboardPage(
  # Skin color
  skin = "purple",
  
  # APP Title
  dashboardHeader(
    title = "Malaria Lite 1.2"
    # tags$li(class = "dropdown",
    #         tags$a(href="http://ird.fr", target="_blank", 
    #                tags$img(height = "20px", alt="IRD Logo", src="logo_ird.png")
    #         )
    # ),
    # tags$li(class = "dropdown",
    #         tags$a(href="http://fiocruz.br", target="_blank", 
    #                tags$img(height = "20px", alt="Fiocruz Logo", src="logo_fiocruz.png")
    #         )
    # )
  ),
  
  # Sidebar
  dashboardSidebar(
    # Render translated menu from server.R
    uiOutput("sidebarMenu"),
    
    # Translation selector
    radioButtons(inputId = "language", label = "Language",
                 choices = c("English" = "en", "Français" = "fr", "Português" = "pt"),
                 selected = "en"),
    
    # Logos
    img(class = "logo", src='logos2.png')
  ),
  
  # Body
  dashboardBody(
    # Google Analytics
    tags$head(includeScript("https://www.googletagmanager.com/gtag/js?id=UA-121861538-1")),
    tags$head(includeScript("google-analytics.js")),
    
    # Render translated tab items from server.R
    uiOutput("tabItems")
  )
  
))
